Subject: bug#66700: 30.0.50; Some history is missing with multiple eshell buffers

From: Eli Zaretskii <[email-masked]>
Date: Wed, 15 Nov 2023 14:22:56 +0200

> From: Liu Hui <[email-masked]>
> Date: Wed, 15 Nov 2023 17:59:23 +0800
> Cc: [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> 于2023年11月14日周二 20:32写道：
> 
> > IMO, this is too soon to change the default behavior in incompatible
> > ways.  We need to wait for a while, perhaps at least one major
> > release, before we do that.
> >
> > Thanks.
> 
> It is not an incompatible change at the user level. It is actually a
> bug fix for people using multiple eshell sessions. For people using a
> single eshell buffer, the history inside eshell, when reading back
> from the file, is always same no matter how history is saved, and the
> only difference is the content of history file.
> 
> As others have suggested, we could add an option to toggle the
> behavior with appending new history as the default. It allows more
> testing and users can easily revert back to old behavior. Do you think
> it is acceptable?

An option is, of course, acceptable, but its default should not change
the previous behavior.  We could consider changing the default later,
after we have enough experience with this option, and can ask users
whether they like the "append" behavior to be the default.